自定义博客皮肤VIP专享

*博客头图:

格式为PNG、JPG,宽度*高度大于1920*100像素,不超过2MB,主视觉建议放在右侧,请参照线上博客头图

请上传大于1920*100像素的图片!

博客底图:

图片格式为PNG、JPG,不超过1MB,可上下左右平铺至整个背景

栏目图:

图片格式为PNG、JPG,图片宽度*高度为300*38像素,不超过0.5MB

主标题颜色:

RGB颜色,例如:#AFAFAF

Hover:

RGB颜色,例如:#AFAFAF

副标题颜色:

RGB颜色,例如:#AFAFAF

自定义博客皮肤

-+
  • 博客(18)
  • 资源 (4)
  • 收藏
  • 关注

原创 Xamarin-控件引用

用于创建 Xamarin 的用户界面的四个主要控件组如下所示页,布局,视图,单元格页面布局视图用于演示的视图Label可以通过常量或可变格式设置显示单行文本字符串或文本的多行块。Image显示位图。 可以通过 Web 下载位图,将其作为资源嵌入到公共项目或平台项目中,或使用 .NET Stream 对象创建BoxView显示由Color属性着色的实心矩形。WebV...

2020-03-15 13:06:58 327

原创 Xamarin.Forms的布局

布局控件之StackLayout<StackLayout><StackLayout BackgroundColor="#A8A8A8"> <Label Text="布局1"/> </StackLayout></StackLayout>//嵌套StackLayout_1 ...

2020-03-15 12:31:40 93

原创 c# 操作符原理及概念

1操作符概览2操作符的本质操作符的本质是函数(即算法)的简记法static void Main(string[] args) { Person people1 = new Person(); Person people2 = new Person(); peo...

2020-03-15 12:30:20 53

原创 c# for if练习题

for(初始条件;循环条件;状态改变){循环体};练习1打印1-100之间所有数字;for(int i=1;i<101;i++){Console.WriteLine(i);}

2020-03-04 23:35:03 111 1

原创 lisp 字体相关组码

1 红色 2黄色 3绿色 4青色 5蓝色 6洋红色 7 白色对于mtext,控制文字的对齐格式可以使用以下组码:(71 . 1) 左对齐-上对齐 这个是默认的对齐方式(71 . 4) 左对齐-中央对齐(71 . 7) 左对齐-下对齐(71 . 2) 居中对齐-上对齐(71 . 5) 居中对齐-中央对齐(71 . 8) 居中对齐-下对齐(71 . 3) 右对齐-上对齐(71 . 6...

2019-11-28 23:59:19 387

原创 c# Intersect 交集,Except 差集,Union 并集

Intersect 交集,Except 差集,Union 并集int[] oldArray = { 1, 2, 3, 4, 5 };int[] newArray = { 2, 4, 5, 7, 8, 9 };var jiaoJi = oldArray.Intersect(newArray).ToList();//2,4,5var oldChaJi = oldArray.Except(ne...

2019-09-14 20:27:11 2202 1

原创 c# 目录文件夹去掉中文

核心思想如下 Regex reg = new Regex(@"[\u4e00-\u9fa5]");//正则表达式可以用来判断字符串中是否包含中文 str = reg.Replace(str, "");//将中文字符替换成空字段 destFolderPath = fsinfo.F...

2019-08-10 22:44:24 153

原创 C#中的List<string>泛型类示例

using System;using System.Collections.Generic;class Program{ static void Main() { List<string> cities = new List<string>(); // List of city names cities.Add("S...

2019-08-08 21:14:30 110

原创 c# 目录文件夹加前缀名

1 知识要点1.1 修改文件名称string srcFileName = @"D:/a.txt";string destFileName = @"D:/b.txt";if (System.IO.File.Exists(srcFileName)) { System.IO.File.Move(srcFileName, destFi...

2019-08-08 21:13:52 411

原创 批量输出宗地信息

(defun c:tt () (setq dat_file (getfiled "写文件" "c:\lsptools\numtest1" "num" 1)) (setq ff (open dat_file "w"))(setq ss (ssget))(setq n 0) (repeat (sslength ss)(setq en (ssname ss n)) (setq e...

2019-06-09 00:00:57 509

原创 lisp 获取宗地信息

(defun c:tt ()(setq a (entsel)) (setq b (car a)) (setq d (entget b)) (setq c (entget b '("*"))) (setq e (assoc -3 c)) (setq f (cdr e))(setq g (assoc "SOUTH" f))(setq h (cddr g))(setq i...

2019-06-07 09:43:33 413

原创 lisp 练习取得对象属性

函数entsel、car、cdr、entget(defun c:tt () (setq en1 (entsel)))返回 对象名称 选点坐标(car en1)返回列表的第一个元素(cadr en1)返回列表的第二个元素(setq en1 (entsel))(defun c:tt () (setq en1(entsel)) (setq ...

2019-06-07 01:19:04 1737

原创 lisp 画一个矩形

(defun c:tt () (setq p1 (getpoint "第一点:")) (setq p2 (getpoint p1 "\n**第二点:")) (setq w (getdist "\n输入宽度:")) (setq h (getdist "\n输入长度:")) (setq ang (angle p1 p2) l (distance p1 p2) ) (...

2019-06-07 00:39:28 1133

翻译 lisp 三点矩形

程序说明该程序使用户能够动态构造由三个提供的点定义的矩形。该程序提供两个命令:3PR和3PRD,分别代表程序的标准和动态版本。在AutoCAD命令行发出任一命令后,首先提示用户指定两个点,这两个点定义所得矩形的两对平行边之一。在对这些提示的有效响应之后,然后提示用户第三点以确定第二对边缘的长度和方向,第二对边缘垂直于由前两个点限定的边缘构造。如果使用动态命令(3PRD),程序将显示...

2019-05-02 11:33:28 259

原创 c# word操作方法

1 打开word模板文档object objTrue = true; object oMissing = System.Reflection.Missing.Value; Microsoft.Office.Interop.Word._Application oWord = new Microsoft.Office.Interop...

2019-01-04 23:04:30 618

原创 C# excel操作方法

1 打开指定excel Microsoft.Office.Interop.Excel.Application myExcel = new Microsoft.Office.Interop.Excel.Application();//引用Excel对象 Microsoft.Office.Interop.Excel.Workbook book = myExcel.Application.Wor...

2018-08-01 20:53:16 190

原创 C#选择文件或者选择文件夹

1 点击按钮选择文件  private void button1_Click(object sender, EventArgs e) { OpenFileDialog dialog = new OpenFileDialog(); dialog.Multiselect = false;//该值确定是否可以选择多个文件 ...

2018-08-01 18:19:40 2232

原创 mui 登录josn验证

owner.login = function(loginInfo, callback) { callback = callback || $.noop; loginInfo.Method='Login';//告诉服务器执行哪个函数 $.ajax(owner.server,{//服务器地址 data:loginInfo, success:fun

2018-02-04 21:34:18 1334

lisp 三点矩形

该程序使用户能够动态构造由三个提供的点定义的矩形。 该程序提供两个命令:3PR和3PRD,分别代表程序的标准和动态版本。 在AutoCAD命令行发出任一命令后,首先提示用户指定两个点,这两个点定义所得矩形的两对平行边之一。 在对这些提示的有效响应之后,然后提示用户第三点以确定第二对边缘的长度和方向,第二对边缘垂直于由前两个点限定的边缘构造。如果使用动态命令(3PRD),程序将显示生成的矩形的实时预览,同时提示用户输入第三个点。 用户可以随时按ENTER或在任何提示下单击鼠标右键退出程序 。 在有效指定所有三个点之后,程序将继续使用2D折线(LWPolyline)对象构造定义的矩形。 该程序的动态版本利用我的GrSnap实用程序在动态提示期间启用完整的对象捕捉功能。此外,该程序还可以在所有UCS和View设置下成功执行。

2019-05-02

C#选择文件或者选择文件夹-范例

C#选择文件或者选择文件夹 对应博客文章 https://blog.csdn.net/hb_ljj/article/details/81335017

2018-08-01

cass提取宗地编号

lisp 提取cass 获取宗地编号,提供经共学习参考对文章 https://blog.csdn.net/hb_ljj/article/details/91125582

2019-06-07

目录文件加前缀名.rar

c# 目录文件夹加前缀名文档详细部分https://blog.csdn.net/hb_ljj/article/details/98476187

2019-08-08

空空如也

空空如也

TA创建的收藏夹 TA关注的收藏夹

TA关注的人 TA的粉丝

提示
确定要删除当前文章?
取消 删除